<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Death or Glory</Series>
  <Number>006</Number>
  <Web>https://www.comixology.com/Death-Or-Glory-6/digital-comic/731876</Web>
  <Summary>Glory is back -- and barreling toward the Mexican border in the hopes of delivering the liver transplant to save her father's life. Hot on her heels is her ex-husband, his criminal empire, crooked cops, psycho killers, and a Mexican murder cartel. Time, fuel, and hope are running out, but no one outruns Glory!

Don't miss the start of the second chapter of RICK REMENDER and BENGAL's runaway smash hit!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB731876]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Action/Adventure, Crime</Genre>
  <PageCount>28</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
